Piloterr

Instagram Post Info

Monitor competitors and market trends by scraping Instagram posts for valuable data.

Credit cost: 1 credit per call

GET
/v2/instagram/post/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

The Instagram post or reel to retrieve. Accepts a full URL or a shortcode.

Accepted formats:

  • https://www.instagram.com/p/CshTQQlMGMl — full post URL
  • CshTQQlMGMl — post shortcode only

Example:

https://www.instagram.com/p/CshTQQlMGMl

Notes:

  • Private accounts: Posts from private accounts cannot be retrieved.
  • Deleted posts: Returns a not-found error if the post no longer exists.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/instagram/post/info?query=string"

{
  "id": "3859342446496501512",
  "text": "🇫🇷",
  "is_video": false,
  "owner_id": "4213518589",
  "sponsors": [],
  "shortcode": "DWPI4HmAs8I",
  "text_lang": "fr",
  "text_tags": [],
  "timestamp": 1774289493,
  "like_count": 1337686,
  "location_id": "375685686285802",
  "created_time": "2026-03-23 18:11:33",
  "product_type": null,
  "location_name": "Clairefontaine - Centre National Du Football",
  "location_slug": "clairefontaine-centre-national-du-football",
  "related_posts": null,
  "comments_count": 8331,
  "paid_partnership": false,
  "text_tagged_users": [],
  "video_plays_count": null,
  "video_views_count": null,
  "is_comments_disabled": false,
  "attached_media_display_url": "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/655936260_18460602253142590_4270314222914824377_n.jpg",
  "attached_media_tagged_users": [
    {
      "id": "253982730",
      "username": "equipedefrance"
    }
  ],
  "attached_carousel_media_urls": [
    "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/655936260_18460602253142590_4270314222914824377_n.jpg",
    "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/658867910_18460602280142590_6337465939339629136_n.jpg",
    "https://scontent-cdg4-1.cdninstagram.com/v/t51.82787-15/657621742_18460602271142590_1605271971122095294_n.jpg"
  ]
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}